source: trunk/makefile.in @ 1361

Last change on this file since 1361 was 1361, checked in by bradbell, 11 years ago

trunk: Simplify top level makefile.

makefile.am: simplify using pattern matching and mkdir -p option.
makefile.in: automatic changes generated by automake.

File size: 25.2 KB
Line 
1# makefile.in generated by automake 1.10.1 from makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkglibdir = $(libdir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@
21am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22install_sh_DATA = $(install_sh) -c -m 644
23install_sh_PROGRAM = $(install_sh) -c
24install_sh_SCRIPT = $(install_sh) -c
25INSTALL_HEADER = $(INSTALL_DATA)
26transform = $(program_transform_name)
27NORMAL_INSTALL = :
28PRE_INSTALL = :
29POST_INSTALL = :
30NORMAL_UNINSTALL = :
31PRE_UNINSTALL = :
32POST_UNINSTALL = :
33subdir = .
34DIST_COMMON = README $(am__configure_deps) $(nobase_myinclude_HEADERS) \
35        $(srcdir)/doc.omh.in $(srcdir)/makefile.am \
36        $(srcdir)/makefile.in $(top_srcdir)/configure \
37        $(top_srcdir)/cppad/config.h.in \
38        $(top_srcdir)/omh/install_unix.omh.in \
39        $(top_srcdir)/omh/install_windows.omh.in AUTHORS COPYING \
40        ChangeLog INSTALL NEWS depcomp install-sh missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/cppad/config.h
49CONFIG_CLEAN_FILES = doc.omh omh/install_unix.omh \
50        omh/install_windows.omh
51SOURCES =
52DIST_SOURCES =
53RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54        html-recursive info-recursive install-data-recursive \
55        install-dvi-recursive install-exec-recursive \
56        install-html-recursive install-info-recursive \
57        install-pdf-recursive install-ps-recursive install-recursive \
58        installcheck-recursive installdirs-recursive pdf-recursive \
59        ps-recursive uninstall-recursive
60am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
61am__vpath_adj = case $$p in \
62    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
63    *) f=$$p;; \
64  esac;
65am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
66am__installdirs = "$(DESTDIR)$(myincludedir)"
67nobase_myincludeHEADERS_INSTALL = $(install_sh_DATA)
68HEADERS = $(nobase_myinclude_HEADERS)
69RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
70  distclean-recursive maintainer-clean-recursive
71ETAGS = etags
72CTAGS = ctags
73DIST_SUBDIRS = ipopt_cppad example introduction/get_started \
74        introduction/exp_apx print_for speed/cppad speed/double \
75        speed/example speed/profile speed/adolc speed/fadbad \
76        speed/sacado test_more
77DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78distdir = $(PACKAGE)-$(VERSION)
79top_distdir = $(distdir)
80am__remove_distdir = \
81  { test ! -d $(distdir) \
82    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
83         && rm -fr $(distdir); }; }
84DIST_ARCHIVES = $(distdir).tar.gz
85GZIP_ENV = --best
86distuninstallcheck_listfiles = find . -type f -print
87distcleancheck_listfiles = find . -type f -print
88ACLOCAL = @ACLOCAL@
89ADOLC_DIR = @ADOLC_DIR@
90AMTAR = @AMTAR@
91AUTOCONF = @AUTOCONF@
92AUTOHEADER = @AUTOHEADER@
93AUTOMAKE = @AUTOMAKE@
94AWK = @AWK@
95BOOST_DIR = @BOOST_DIR@
96CC = @CC@
97CCDEPMODE = @CCDEPMODE@
98CFLAGS = @CFLAGS@
99CPP = @CPP@
100CPPFLAGS = @CPPFLAGS@
101CXX = @CXX@
102CXXDEPMODE = @CXXDEPMODE@
103CXXFLAGS = @CXXFLAGS@
104CXX_FLAGS = @CXX_FLAGS@
105CYGPATH_W = @CYGPATH_W@
106DEFS = @DEFS@
107DEPDIR = @DEPDIR@
108DL_LIB = @DL_LIB@
109ECHO_C = @ECHO_C@
110ECHO_N = @ECHO_N@
111ECHO_T = @ECHO_T@
112EXEEXT = @EXEEXT@
113FADBAD_DIR = @FADBAD_DIR@
114FC = @FC@
115FCFLAGS = @FCFLAGS@
116FCLIBS = @FCLIBS@
117INSTALL = @INSTALL@
118INSTALL_DATA = @INSTALL_DATA@
119INSTALL_PROGRAM = @INSTALL_PROGRAM@
120INSTALL_SCRIPT = @INSTALL_SCRIPT@
121INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122IPOPT_DIR = @IPOPT_DIR@
123LDFLAGS = @LDFLAGS@
124LIBOBJS = @LIBOBJS@
125LIBS = @LIBS@
126LTLIBOBJS = @LTLIBOBJS@
127MAINT = @MAINT@
128MAKEINFO = @MAKEINFO@
129MKDIR_P = @MKDIR_P@
130OBJEXT = @OBJEXT@
131PACKAGE = @PACKAGE@
132PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
133PACKAGE_NAME = @PACKAGE_NAME@
134PACKAGE_STRING = @PACKAGE_STRING@
135PACKAGE_TARNAME = @PACKAGE_TARNAME@
136PACKAGE_VERSION = @PACKAGE_VERSION@
137PATH_SEPARATOR = @PATH_SEPARATOR@
138POSTFIX_DIR = @POSTFIX_DIR@
139PTHREAD_LIB = @PTHREAD_LIB@
140RANLIB = @RANLIB@
141SACADO_DIR = @SACADO_DIR@
142SET_MAKE = @SET_MAKE@
143SHELL = @SHELL@
144STRIP = @STRIP@
145VERSION = @VERSION@
146abs_builddir = @abs_builddir@
147abs_srcdir = @abs_srcdir@
148abs_top_builddir = @abs_top_builddir@
149abs_top_srcdir = @abs_top_srcdir@
150ac_ct_CC = @ac_ct_CC@
151ac_ct_CXX = @ac_ct_CXX@
152ac_ct_FC = @ac_ct_FC@
153am__include = @am__include@
154am__leading_dot = @am__leading_dot@
155am__quote = @am__quote@
156am__tar = @am__tar@
157am__untar = @am__untar@
158bindir = @bindir@
159build_alias = @build_alias@
160builddir = @builddir@
161datadir = @datadir@
162datarootdir = @datarootdir@
163docdir = @docdir@
164dvidir = @dvidir@
165exec_prefix = @exec_prefix@
166host_alias = @host_alias@
167htmldir = @htmldir@
168includedir = @includedir@
169infodir = @infodir@
170install_sh = @install_sh@
171libdir = @libdir@
172libexecdir = @libexecdir@
173localedir = @localedir@
174localstatedir = @localstatedir@
175mandir = @mandir@
176mkdir_p = @mkdir_p@
177oldincludedir = @oldincludedir@
178pdfdir = @pdfdir@
179prefix = @prefix@
180program_transform_name = @program_transform_name@
181psdir = @psdir@
182sbindir = @sbindir@
183sharedstatedir = @sharedstatedir@
184srcdir = @srcdir@
185sysconfdir = @sysconfdir@
186target_alias = @target_alias@
187top_builddir = @top_builddir@
188top_srcdir = @top_srcdir@
189@CppAD_POSTFIX_FALSE@postfix_dir = .
190
191# -----------------------------------------------------------------------------
192# CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-08 Bradley M. Bell
193#
194# CppAD is distributed under multiple licenses. This distribution is under
195# the terms of the
196#                     Common Public License Version 1.0.
197#
198# A copy of this license is included in the COPYING file of this distribution.
199# Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
200# -----------------------------------------------------------------------------
201#
202# automake input file
203#
204# Note that config.h is needed by VC++; i.e., for users that do not run
205# the configure script but rather use the project files
206#
207@CppAD_POSTFIX_TRUE@postfix_dir = $(POSTFIX_DIR)
208myincludedir = $(includedir)/$(postfix_dir)
209nobase_myinclude_HEADERS = \
210        cppad/*.h \
211        cppad/*.hpp \
212        cppad/local/*.hpp \
213        cppad/speed/*.hpp
214
215@CppAD_INTRODUCTION_FALSE@INTRODUCTION =
216#
217# Did user specify --with-Introduction
218@CppAD_INTRODUCTION_TRUE@INTRODUCTION = \
219@CppAD_INTRODUCTION_TRUE@       introduction/get_started \
220@CppAD_INTRODUCTION_TRUE@       introduction/exp_apx
221
222@CppAD_EXAMPLE_FALSE@EXAMPLE =
223#
224# Did user specify --with-Example
225@CppAD_EXAMPLE_TRUE@EXAMPLE = example
226@CppAD_TEST_MORE_FALSE@TEST_MORE =
227#
228# Did user specify --with-TestMore
229@CppAD_TEST_MORE_TRUE@TEST_MORE = test_more
230# ----------------------------------------------------------------------
231# user did not specify --with-Speed
232@CppAD_SPEED_FALSE@SPEED_CPPAD =
233#
234# user specified --with-Speed -------------------------------------
235@CppAD_SPEED_TRUE@SPEED_CPPAD = speed/cppad speed/double speed/example speed/profile
236#
237# Did user specify a value for ADOLC_DIR in configure command line
238@CppAD_ADOLC_TRUE@@CppAD_SPEED_TRUE@SPEED_ADOLC = speed/adolc
239@CppAD_SPEED_FALSE@SPEED_ADOLC =
240#
241# Did user specify a value for FADBAD_DIR in configure command line
242@CppAD_FADBAD_TRUE@@CppAD_SPEED_TRUE@SPEED_FADBAD = speed/fadbad
243@CppAD_SPEED_FALSE@SPEED_FADBAD =
244#
245# Did user specify a value for SACADO_DIR in configure command line
246@CppAD_SACADO_TRUE@@CppAD_SPEED_TRUE@SPEED_SACADO = speed/sacado
247@CppAD_SPEED_FALSE@SPEED_SACADO =
248@CppAD_PRINTFOR_FALSE@PRINTFOR =
249# ----------------------------------------------------------------------
250# Did user specify --with-PrintFor
251@CppAD_PRINTFOR_TRUE@PRINTFOR = print_for
252@CppAD_IPOPT_CPPAD_FALSE@IPOPT_CPPAD =
253#
254# ---------------------------------------------------------------
255# Did user specify a value for IPOPT_DIR in configure command line
256#
257# ---------------------------------------------------------------
258# Did user specify a value for IPOPT_DIR in configure command line
259@CppAD_IPOPT_CPPAD_TRUE@IPOPT_CPPAD = ipopt_cppad
260#
261SUBDIRS = \
262        $(IPOPT_CPPAD) \
263        $(EXAMPLE) \
264        $(INTRODUCTION) \
265        $(PRINTFOR) \
266        $(SPEED_CPPAD) \
267        $(SPEED_ADOLC) \
268        $(SPEED_FADBAD) \
269        $(SPEED_SACADO) \
270        $(TEST_MORE)
271
272#
273EXTRA_DIST = \
274        build.sh \
275        check_example.sh \
276        check_include_file.sh \
277        check_include_omh.sh \
278        check_include_def.sh \
279        clean_cppad.sh \
280        cpl1.0.txt \
281        dev.omh \
282        doc \
283        doc.omh \
284        doc.omh.in \
285        fix_aclocal.sh \
286        fix_makefile.sh \
287        omh \
288        openmp/example_a11c.cpp \
289        openmp/multi_newton.cpp \
290        openmp/multi_newton.hpp \
291        openmp/sum_i_inv.cpp \
292        openmp/run.sh \
293        run_omhelp.sh \
294        uw_copy_040507.html
295
296#
297@CppAD_DOCUMENTATION_TRUE@doc_postfix = $(DESTDIR)$(datadir)/doc/$(postfix_dir)
298@CppAD_DOCUMENTATION_TRUE@doc_package = $(DESTDIR)$(datadir)/doc/$(postfix_dir)/$(PACKAGE)-$(VERSION)
299all: all-recursive
300
301.SUFFIXES:
302am--refresh:
303        @:
304$(srcdir)/makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/makefile.am  $(am__configure_deps)
305        @for dep in $?; do \
306          case '$(am__configure_deps)' in \
307            *$$dep*) \
308              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
309              cd $(srcdir) && $(AUTOMAKE) --gnu  \
310                && exit 0; \
311              exit 1;; \
312          esac; \
313        done; \
314        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  makefile'; \
315        cd $(top_srcdir) && \
316          $(AUTOMAKE) --gnu  makefile
317.PRECIOUS: makefile
318makefile: $(srcdir)/makefile.in $(top_builddir)/config.status
319        @case '$?' in \
320          *config.status*) \
321            echo ' $(SHELL) ./config.status'; \
322            $(SHELL) ./config.status;; \
323          *) \
324            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
325            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
326        esac;
327
328$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
329        $(SHELL) ./config.status --recheck
330
331$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
332        cd $(srcdir) && $(AUTOCONF)
333$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
334        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
335
336cppad/config.h: cppad/stamp-h1
337        @if test ! -f $@; then \
338          rm -f cppad/stamp-h1; \
339          $(MAKE) $(AM_MAKEFLAGS) cppad/stamp-h1; \
340        else :; fi
341
342cppad/stamp-h1: $(top_srcdir)/cppad/config.h.in $(top_builddir)/config.status
343        @rm -f cppad/stamp-h1
344        cd $(top_builddir) && $(SHELL) ./config.status cppad/config.h
345$(top_srcdir)/cppad/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
346        cd $(top_srcdir) && $(AUTOHEADER)
347        rm -f cppad/stamp-h1
348        touch $@
349
350distclean-hdr:
351        -rm -f cppad/config.h cppad/stamp-h1
352doc.omh: $(top_builddir)/config.status $(srcdir)/doc.omh.in
353        cd $(top_builddir) && $(SHELL) ./config.status $@
354omh/install_unix.omh: $(top_builddir)/config.status $(top_srcdir)/omh/install_unix.omh.in
355        cd $(top_builddir) && $(SHELL) ./config.status $@
356omh/install_windows.omh: $(top_builddir)/config.status $(top_srcdir)/omh/install_windows.omh.in
357        cd $(top_builddir) && $(SHELL) ./config.status $@
358install-nobase_myincludeHEADERS: $(nobase_myinclude_HEADERS)
359        @$(NORMAL_INSTALL)
360        test -z "$(myincludedir)" || $(MKDIR_P) "$(DESTDIR)$(myincludedir)"
361        @$(am__vpath_adj_setup) \
362        list='$(nobase_myinclude_HEADERS)'; for p in $$list; do \
363          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
364          $(am__vpath_adj) \
365          echo " $(nobase_myincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(myincludedir)/$$f'"; \
366          $(nobase_myincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(myincludedir)/$$f"; \
367        done
368
369uninstall-nobase_myincludeHEADERS:
370        @$(NORMAL_UNINSTALL)
371        @$(am__vpath_adj_setup) \
372        list='$(nobase_myinclude_HEADERS)'; for p in $$list; do \
373          $(am__vpath_adj) \
374          echo " rm -f '$(DESTDIR)$(myincludedir)/$$f'"; \
375          rm -f "$(DESTDIR)$(myincludedir)/$$f"; \
376        done
377
378# This directory's subdirectories are mostly independent; you can cd
379# into them and run `make' without going through this Makefile.
380# To change the values of `make' variables: instead of editing Makefiles,
381# (1) if the variable is set in `config.status', edit `config.status'
382#     (which will cause the Makefiles to be regenerated when you run `make');
383# (2) otherwise, pass the desired values on the `make' command line.
384$(RECURSIVE_TARGETS):
385        @failcom='exit 1'; \
386        for f in x $$MAKEFLAGS; do \
387          case $$f in \
388            *=* | --[!k]*);; \
389            *k*) failcom='fail=yes';; \
390          esac; \
391        done; \
392        dot_seen=no; \
393        target=`echo $@ | sed s/-recursive//`; \
394        list='$(SUBDIRS)'; for subdir in $$list; do \
395          echo "Making $$target in $$subdir"; \
396          if test "$$subdir" = "."; then \
397            dot_seen=yes; \
398            local_target="$$target-am"; \
399          else \
400            local_target="$$target"; \
401          fi; \
402          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
403          || eval $$failcom; \
404        done; \
405        if test "$$dot_seen" = "no"; then \
406          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
407        fi; test -z "$$fail"
408
409$(RECURSIVE_CLEAN_TARGETS):
410        @failcom='exit 1'; \
411        for f in x $$MAKEFLAGS; do \
412          case $$f in \
413            *=* | --[!k]*);; \
414            *k*) failcom='fail=yes';; \
415          esac; \
416        done; \
417        dot_seen=no; \
418        case "$@" in \
419          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
420          *) list='$(SUBDIRS)' ;; \
421        esac; \
422        rev=''; for subdir in $$list; do \
423          if test "$$subdir" = "."; then :; else \
424            rev="$$subdir $$rev"; \
425          fi; \
426        done; \
427        rev="$$rev ."; \
428        target=`echo $@ | sed s/-recursive//`; \
429        for subdir in $$rev; do \
430          echo "Making $$target in $$subdir"; \
431          if test "$$subdir" = "."; then \
432            local_target="$$target-am"; \
433          else \
434            local_target="$$target"; \
435          fi; \
436          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
437          || eval $$failcom; \
438        done && test -z "$$fail"
439tags-recursive:
440        list='$(SUBDIRS)'; for subdir in $$list; do \
441          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
442        done
443ctags-recursive:
444        list='$(SUBDIRS)'; for subdir in $$list; do \
445          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
446        done
447
448ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
449        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
450        unique=`for i in $$list; do \
451            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
452          done | \
453          $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
454              END { if (nonempty) { for (i in files) print i; }; }'`; \
455        mkid -fID $$unique
456tags: TAGS
457
458TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
459                $(TAGS_FILES) $(LISP)
460        tags=; \
461        here=`pwd`; \
462        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
463          include_option=--etags-include; \
464          empty_fix=.; \
465        else \
466          include_option=--include; \
467          empty_fix=; \
468        fi; \
469        list='$(SUBDIRS)'; for subdir in $$list; do \
470          if test "$$subdir" = .; then :; else \
471            test ! -f $$subdir/TAGS || \
472              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
473          fi; \
474        done; \
475        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
476        unique=`for i in $$list; do \
477            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
478          done | \
479          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
480              END { if (nonempty) { for (i in files) print i; }; }'`; \
481        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
482          test -n "$$unique" || unique=$$empty_fix; \
483          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
484            $$tags $$unique; \
485        fi
486ctags: CTAGS
487CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
488                $(TAGS_FILES) $(LISP)
489        tags=; \
490        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
491        unique=`for i in $$list; do \
492            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
493          done | \
494          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
495              END { if (nonempty) { for (i in files) print i; }; }'`; \
496        test -z "$(CTAGS_ARGS)$$tags$$unique" \
497          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
498             $$tags $$unique
499
500GTAGS:
501        here=`$(am__cd) $(top_builddir) && pwd` \
502          && cd $(top_srcdir) \
503          && gtags -i $(GTAGS_ARGS) $$here
504
505distclean-tags:
506        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
507
508distdir: $(DISTFILES)
509        $(am__remove_distdir)
510        test -d $(distdir) || mkdir $(distdir)
511        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
512        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
513        list='$(DISTFILES)'; \
514          dist_files=`for file in $$list; do echo $$file; done | \
515          sed -e "s|^$$srcdirstrip/||;t" \
516              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
517        case $$dist_files in \
518          */*) $(MKDIR_P) `echo "$$dist_files" | \
519                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
520                           sort -u` ;; \
521        esac; \
522        for file in $$dist_files; do \
523          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
524          if test -d $$d/$$file; then \
525            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
526            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
527              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
528            fi; \
529            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
530          else \
531            test -f $(distdir)/$$file \
532            || cp -p $$d/$$file $(distdir)/$$file \
533            || exit 1; \
534          fi; \
535        done
536        list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
537          if test "$$subdir" = .; then :; else \
538            test -d "$(distdir)/$$subdir" \
539            || $(MKDIR_P) "$(distdir)/$$subdir" \
540            || exit 1; \
541            distdir=`$(am__cd) $(distdir) && pwd`; \
542            top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
543            (cd $$subdir && \
544              $(MAKE) $(AM_MAKEFLAGS) \
545                top_distdir="$$top_distdir" \
546                distdir="$$distdir/$$subdir" \
547                am__remove_distdir=: \
548                am__skip_length_check=: \
549                distdir) \
550              || exit 1; \
551          fi; \
552        done
553        $(MAKE) $(AM_MAKEFLAGS) \
554          top_distdir="$(top_distdir)" distdir="$(distdir)" \
555          dist-hook
556        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
557          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
558          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
559          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
560        || chmod -R a+r $(distdir)
561dist-gzip: distdir
562        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
563        $(am__remove_distdir)
564
565dist-bzip2: distdir
566        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
567        $(am__remove_distdir)
568
569dist-lzma: distdir
570        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
571        $(am__remove_distdir)
572
573dist-tarZ: distdir
574        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
575        $(am__remove_distdir)
576
577dist-shar: distdir
578        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
579        $(am__remove_distdir)
580
581dist-zip: distdir
582        -rm -f $(distdir).zip
583        zip -rq $(distdir).zip $(distdir)
584        $(am__remove_distdir)
585
586dist dist-all: distdir
587        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
588        $(am__remove_distdir)
589
590# This target untars the dist file and tries a VPATH configuration.  Then
591# it guarantees that the distribution is self-contained by making another
592# tarfile.
593distcheck: dist
594        case '$(DIST_ARCHIVES)' in \
595        *.tar.gz*) \
596          GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
597        *.tar.bz2*) \
598          bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
599        *.tar.lzma*) \
600          unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
601        *.tar.Z*) \
602          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
603        *.shar.gz*) \
604          GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
605        *.zip*) \
606          unzip $(distdir).zip ;;\
607        esac
608        chmod -R a-w $(distdir); chmod a+w $(distdir)
609        mkdir $(distdir)/_build
610        mkdir $(distdir)/_inst
611        chmod a-w $(distdir)
612        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
613          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
614          && cd $(distdir)/_build \
615          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
616            $(DISTCHECK_CONFIGURE_FLAGS) \
617          && $(MAKE) $(AM_MAKEFLAGS) \
618          && $(MAKE) $(AM_MAKEFLAGS) dvi \
619          && $(MAKE) $(AM_MAKEFLAGS) check \
620          && $(MAKE) $(AM_MAKEFLAGS) install \
621          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
622          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
623          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
624                distuninstallcheck \
625          && chmod -R a-w "$$dc_install_base" \
626          && ({ \
627               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
628               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
629               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
630               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
631                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
632              } || { rm -rf "$$dc_destdir"; exit 1; }) \
633          && rm -rf "$$dc_destdir" \
634          && $(MAKE) $(AM_MAKEFLAGS) dist \
635          && rm -rf $(DIST_ARCHIVES) \
636          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
637        $(am__remove_distdir)
638        @(echo "$(distdir) archives ready for distribution: "; \
639          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
640          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
641distuninstallcheck:
642        @cd $(distuninstallcheck_dir) \
643        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
644           || { echo "ERROR: files left after uninstall:" ; \
645                if test -n "$(DESTDIR)"; then \
646                  echo "  (check DESTDIR support)"; \
647                fi ; \
648                $(distuninstallcheck_listfiles) ; \
649                exit 1; } >&2
650distcleancheck: distclean
651        @if test '$(srcdir)' = . ; then \
652          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
653          exit 1 ; \
654        fi
655        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
656          || { echo "ERROR: files left in build directory after distclean:" ; \
657               $(distcleancheck_listfiles) ; \
658               exit 1; } >&2
659check-am: all-am
660check: check-recursive
661all-am: makefile $(HEADERS)
662installdirs: installdirs-recursive
663installdirs-am:
664        for dir in "$(DESTDIR)$(myincludedir)"; do \
665          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
666        done
667install: install-recursive
668install-exec: install-exec-recursive
669install-data: install-data-recursive
670uninstall: uninstall-recursive
671
672install-am: all-am
673        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
674
675installcheck: installcheck-recursive
676install-strip:
677        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
678          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
679          `test -z '$(STRIP)' || \
680            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
681mostlyclean-generic:
682
683clean-generic:
684
685distclean-generic:
686        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
687
688maintainer-clean-generic:
689        @echo "This command is intended for maintainers to use"
690        @echo "it deletes files that may require special tools to rebuild."
691@CppAD_DOCUMENTATION_FALSE@install-data-hook:
692clean: clean-recursive
693
694clean-am: clean-generic mostlyclean-am
695
696distclean: distclean-recursive
697        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
698        -rm -f makefile
699distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
700
701dvi: dvi-recursive
702
703dvi-am:
704
705html: html-recursive
706
707info: info-recursive
708
709info-am:
710
711install-data-am: install-nobase_myincludeHEADERS
712        @$(NORMAL_INSTALL)
713        $(MAKE) $(AM_MAKEFLAGS) install-data-hook
714
715install-dvi: install-dvi-recursive
716
717install-exec-am:
718
719install-html: install-html-recursive
720
721install-info: install-info-recursive
722
723install-man:
724
725install-pdf: install-pdf-recursive
726
727install-ps: install-ps-recursive
728
729installcheck-am:
730
731maintainer-clean: maintainer-clean-recursive
732        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
733        -rm -rf $(top_srcdir)/autom4te.cache
734        -rm -f makefile
735maintainer-clean-am: distclean-am maintainer-clean-generic
736
737mostlyclean: mostlyclean-recursive
738
739mostlyclean-am: mostlyclean-generic
740
741pdf: pdf-recursive
742
743pdf-am:
744
745ps: ps-recursive
746
747ps-am:
748
749uninstall-am: uninstall-nobase_myincludeHEADERS
750
751.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
752        install-data-am install-strip
753
754.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
755        all all-am am--refresh check check-am clean clean-generic \
756        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
757        dist-hook dist-lzma dist-shar dist-tarZ dist-zip distcheck \
758        distclean distclean-generic distclean-hdr distclean-tags \
759        distcleancheck distdir distuninstallcheck dvi dvi-am html \
760        html-am info info-am install install-am install-data \
761        install-data-am install-data-hook install-dvi install-dvi-am \
762        install-exec install-exec-am install-html install-html-am \
763        install-info install-info-am install-man \
764        install-nobase_myincludeHEADERS install-pdf install-pdf-am \
765        install-ps install-ps-am install-strip installcheck \
766        installcheck-am installdirs installdirs-am maintainer-clean \
767        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
768        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
769        uninstall-nobase_myincludeHEADERS
770
771#
772dist-hook:
773        rm -rf `find $(distdir)/omh $(distdir)/openmp -name .svn`
774        rm $(distdir)/doc/error.wrd
775@CppAD_DOCUMENTATION_TRUE@install-data-hook:
776@CppAD_DOCUMENTATION_TRUE@      if [ ! -e $(doc_postfix) ] ; then mkdir -p $(doc_postfix) ; fi
777@CppAD_DOCUMENTATION_TRUE@      if [ -e $(doc_package) ] ; then rm -rf $(doc_package) ; fi
778@CppAD_DOCUMENTATION_TRUE@      cp -a $(top_builddir)/doc $(doc_package)
779@CppAD_DOCUMENTATION_TRUE@      chmod -R a-w $(doc_package)
780@CppAD_DOCUMENTATION_TRUE@      chmod -R u+w $(doc_package)
781@CppAD_DOCUMENTATION_TRUE@      chmod -R a+r $(doc_package)
782#
783# Tell versions [3.59,3.63) of GNU make to not export all variables.
784# Otherwise a system limit (for SysV at least) may be exceeded.
785.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.